Issue with JRuby 1.6.5 and Rails 2.3.14 #167

Open
leenasn opened this Issue Jan 16, 2012 · 0 comments

Projects

None yet

1 participant

@leenasn
leenasn commented Jan 16, 2012

I am running into issues when am trying to run spork with Rails 2.3.14 with JRuby 1.6.5. Spork starts without issues, but when am running the specs, it fails with the following error:

NotImplementedError: fork is not available on this platform method_missing at /home/leena/.rvm/rubies/jruby-1.6.5/lib/ruby/1.8/drb/drb.rb:1134 run at /home/leena/.rvm/gems/jruby-1.6.5@cc/gems/rspec-1.3.0/lib/spec/runner/drb_command_line.rb:22 parse_drb at /home/leena/.rvm/gems/jruby-1.6.5@cc/gems/rspec-1.3.0/lib/spec/runner/option_parser.rb:201 order! at /home/leena/.rvm/gems/jruby-1.6.5@cc/gems/rspec-1.3.0/lib/spec/runner/option_parser.rb:132 options at /home/leena/.rvm/gems/jruby-1.6.5@cc/gems/rspec-1.3.0/lib/spec/runner.rb:51 (root) at /home/leena/.rvm/gems/jruby-1.6.5@cc/gems/rspec-1.3.0/bin/spec:5 load at org/jruby/RubyKernel.java:1063

I am using rspec 1.3 and spork version 0.8.4 (as its the suggested version for Rails 2.3)

I tried with nicksieger's fork (http://github.com/nicksieger/spork), but it was not loading any of the model classes.

Thanks,

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment